For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create transaction

Creates a swap transaction

Note: This request requires fromCoinId/fromCoin and fromChainId/fromChain.

This endpoint will create a swap transaction and returns transactionId and deposit address

Create a Swap transaction.

POST https://api.onramp.money/onramp/api/v2/whiteLabel/swap/create

Request Body

Name
Type
Description

fromAmount*

Decimal

Actual crypto amount to swap

fromCoinId

Integer

Id of source coin

fromCoin

String

Source coin

fromChainId

Integer

Network of source coin

E.g. chainId of matic20 is 3

fromChain

String

Source network

expectedPrice*

Decimal

Rate of swap (received from quotes API)

toAmount*

String

Estimate crypto amount to receive

toCoinId

Integer

Id of destination coin

toCoin

String

Destination coin

toChainId

Integer

Network of destination coin

toChain

String

Destination chain

toWalletAddress*

String

Destination wallet address of user

onrampFee*

Decimal

onrampFee received from quote api

gatewayFee*

Decimal

gatewayFee received from quote api

clientFee*

Decimal

clientFee received from quote api

gasFee*

Decimal

withdrawalFee received from quote api

memo

String

memo if required for the transactions E.g. for XRP on XRP

  • status -> 0 is for unsuccessful request, 1 is for a successful one

  • transactionId -> unique identifier of the transaction

  • depositAddress -> Deposit Address to send crypto to

  • memo -> present if required for completion of transaction

Last updated